Bug 249531 - net/asterisk16: Add XMLDOC option
Summary: net/asterisk16: Add XMLDOC option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-22 19:11 UTC by Dmitry Wagin
Modified: 2020-10-04 11:33 UTC (History)
0 users

See Also:
madpilot: maintainer-feedback+


Attachments
asterisk16.diff (2.34 KB, patch)
2020-09-22 19:11 UTC, Dmitry Wagin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Wagin 2020-09-22 19:11:17 UTC
Created attachment 218186 [details]
asterisk16.diff

Added the ability to disable build and installation of xml docs.
Comment 1 Guido Falsi freebsd_committer 2020-09-23 16:59:12 UTC
Hi,

Thanks for the patch.

I'm also testing the new release candidates and the new version 18.

I'll evaluate if I should commit it now or wait and commit it together with the next update.
Comment 2 commit-hook freebsd_committer 2020-10-04 11:27:38 UTC
A commit references this bug:

Author: madpilot
Date: Sun Oct  4 11:26:45 UTC 2020
New revision: 551384
URL: https://svnweb.freebsd.org/changeset/ports/551384

Log:
  Add XMLDOC option to control installation of XML documentation.

  This is on by default, which prodiuces the same behavior as before.

  PR:		249531
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>

Changes:
  head/net/asterisk13/Makefile
  head/net/asterisk13/pkg-plist
Comment 3 commit-hook freebsd_committer 2020-10-04 11:27:39 UTC
A commit references this bug:

Author: madpilot
Date: Sun Oct  4 11:27:16 UTC 2020
New revision: 551385
URL: https://svnweb.freebsd.org/changeset/ports/551385

Log:
  Add XMLDOC option to control installation of XML documentation.

  This is on by default, which prodiuces the same behavior as before.

  PR:		249531
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>

Changes:
  head/net/asterisk16/Makefile
  head/net/asterisk16/pkg-plist
Comment 4 Guido Falsi freebsd_committer 2020-10-04 11:33:52 UTC
Patch committed.

I also ported the change tot he asterisk13 port.

I changed ordering of options to keep them sorted and changed the option description to be more clear on what the option does.

Thanks!